cURL
curl -X GET \
/invoices \
--header "Authorization: Bearer <token>"{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"referenceId": "<string>",
"default": true,
"status": "active",
"source": "api",
"enabled": true,
"name": "Visa (4242)",
"data": [
"<string>"
],
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"sepaMandate": {},
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"referencedInvoice": "<unknown>",
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"creationDate": "2023-11-07T05:31:56Z",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"lastReminderDate": "2023-11-07T05:31:56Z",
"lastSentAt": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"title": "<string>",
"introduction": "<string>",
"closing": "<string>",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"file": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"xmlFile": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"positions": [
{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00"
}
],
"applicatedExchangeRates": [
{
"sourceCurrencyCode": "EUR",
"destinationCurrencyCode": "CHF",
"exchangeRate": "1.135",
"exchangeRateDate": "2023-11-07T05:31:56Z"
}
],
"eInvoiceType": "zugferd211",
"leitwegId": "1234567890123",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"serviceDateFrom": "2023-11-07T05:31:56Z",
"serviceDateTo": "2023-11-07T05:31:56Z",
"unpaidAmount": {},
"usageBreakdownUrl": "<string>",
"cancellationDocument": {
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
},
"dunningDisabled": true,
"sourceType": "<unknown>"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Invoice
Get invoices
Get all invoices. If the user is authenticated as customer (e.g. by the customerfront) the invoices are filtered by their customer. This is available for invoices, credit notes and cancellations.
Required permissions:invoice:readGET
/
invoices
cURL
curl -X GET \
/invoices \
--header "Authorization: Bearer <token>"{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"referenceId": "<string>",
"default": true,
"status": "active",
"source": "api",
"enabled": true,
"name": "Visa (4242)",
"data": [
"<string>"
],
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"sepaMandate": {},
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"referencedInvoice": "<unknown>",
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"creationDate": "2023-11-07T05:31:56Z",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"lastReminderDate": "2023-11-07T05:31:56Z",
"lastSentAt": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"title": "<string>",
"introduction": "<string>",
"closing": "<string>",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"file": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"xmlFile": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"positions": [
{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00"
}
],
"applicatedExchangeRates": [
{
"sourceCurrencyCode": "EUR",
"destinationCurrencyCode": "CHF",
"exchangeRate": "1.135",
"exchangeRateDate": "2023-11-07T05:31:56Z"
}
],
"eInvoiceType": "zugferd211",
"leitwegId": "1234567890123",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"serviceDateFrom": "2023-11-07T05:31:56Z",
"serviceDateTo": "2023-11-07T05:31:56Z",
"unpaidAmount": {},
"usageBreakdownUrl": "<string>",
"cancellationDocument": {
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
},
"dunningDisabled": true,
"sourceType": "<unknown>"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Abfrageparameter
The collection page number
The number of items per page
Erforderlicher Bereich:
0 <= x <= 100Verfügbare Optionen:
asc, desc Verfügbare Optionen:
asc, desc Verfügbare Optionen:
asc, desc Verfügbare Optionen:
asc, desc War diese Seite hilfreich?
⌘I